#
# File: FindLibAo.cmake
#
# Date: Fri Sep 29 17:52:00 EST 2017
# Author: manuel.arguelles
#
# Copyright 2017 Smartmatic Corp. All Rights Reserved.
#
# Confidential Information of Smartmatic Labs. Not for disclosure or distribution
# prior written consent. This software contains code, techniques and know-how which
# is confidential and proprietary to Smartmatic.
#
# Use of this software is subject to the terms of an end user license agreement.
#
# Try to find libao library
# Once done this will define
#
# LIBAO_FOUND        - True if libpao was found
# LIBAO_INCLUDE_DIRS - Location of libao headers
# LIBAO_LIBRARIES    - List of ibraries to use libao

INCLUDE (FindPackageHandleStandardArgs)

FIND_PACKAGE (PkgConfig QUIET)

PKG_CHECK_MODULES (PC_LIBAO QUIET ao)

FIND_PATH (
  LIBAO_INCLUDE_DIRS
  NAMES ao/ao.h
  HINTS ${PC_LIBAO} ${PC_LIBAO_INCLUDE_DIRS}
  )

FIND_LIBRARY (
  LIBAO_LIBRARIES
  NAME ao
  HINTS ${PC_LIBAO_LIBDIR} ${PC_LIBAO_LIBRARY_DIRS}
  )

FIND_PACKAGE_HANDLE_STANDARD_ARGS (
  LIBAO
  REQUIRED_VARS LIBAO_LIBRARIES LIBAO_INCLUDE_DIRS
  VERSION_VAR PC_LIBAO_VERSION
  )

MARK_AS_ADVANCED (LIBAO_LIBRARIES LIBAO_INCLUDE_DIRS)
