#
# File: FindLibPcscLite.cmake
#
# Date: Wed Apr 12 13:52:00 EST 2017
# Author: manuel.arguelles
#
# Copyright 2017 Smartmatic Corp. All Rights Reserved.
#
# Confidential Information of Smartmatic Labs. Not for disclosure or distribution
# prior written consent. This software contains code, techniques and know-how which
# is confidential and proprietary to Smartmatic.
#
# Use of this software is subject to the terms of an end user license agreement.
#
# Try to find libpcsclite library
# Once done this will define
#
# LIBPCSCLITE_FOUND        - True if libpcsclite was found
# LIBPCSCLITE_INCLUDE_DIRS - Location of libpcsclite headers
# LIBPCSCLITE_LIBRARIES    - List of ibraries to use libpcsclite

INCLUDE (FindPackageHandleStandardArgs)

FIND_PACKAGE (PkgConfig QUIET)

PKG_CHECK_MODULES (PC_LIBPCSCLITE QUIET libpcsclite)

FIND_PATH (
  LIBPCSCLITE_INCLUDE_DIRS
  NAMES pcsclite.h
  HINTS ${PC_LIBPCSCLITE} ${PC_LIBPCSCLITE_INCLUDE_DIRS}
  )

FIND_LIBRARY (
  LIBPCSCLITE_LIBRARIES
  NAME pcsclite
  HINTS ${PC_LIBPCSCLITE_LIBDIR} ${PC_LIBPCSCLITE_LIBRARY_DIRS}
  )

FIND_PACKAGE_HANDLE_STANDARD_ARGS (
  LIBPCSCLITE
  REQUIRED_VARS LIBPCSCLITE_LIBRARIES LIBPCSCLITE_INCLUDE_DIRS
  VERSION_VAR PC_LIBPCSCLITE_VERSION
  )

MARK_AS_ADVANCED (LIBPCSCLITE_LIBRARIES LIBPCSCLITE_INCLUDE_DIRS)
