#
# File: FindLibsaescommon.cmake
#
# Author: gustavo.garcia
# Date: Mon Mar 06 15:00:00 EST 2017
#
# Copyright 2014 Smartmatic Corp. All Rights Reserved.
#
# Confidential Information of Smartmatic Labs. Not for disclosure or distribution
# prior written consent. This software contains code, techniques and know-how which
# is confidential and proprietary to Smartmatic.
#
# Use of this software is subject to the terms of an end user license agreement.
#
# Try to find libsaescommon library
# Once done this will define
#
# LIBSAES_COMMON_FOUND        - True if libsaescommon got found
# LIBSAES_COMMON_INCLUDE_DIRS - Location of libsaescommon headers
# LIBSAES_COMMON_LIBRARY      - List of libraries to use libsaescommon
#

INCLUDE (FindPackageHandleStandardArgs)

FIND_PATH (
  LIBSAES_COMMON_INCLUDE_DIRS
  NAMES Configuration/s-a-e-s-common-conf-manager.h
  PATHS
    ${CMAKE_INSTALL_PREFIX}/include/saescommon
    ${WORKSPACE_PATH}/include/saescommon
)

FIND_LIBRARY (
  LIBSAES_COMMON_LIBRARY
  NAMES libsaescommon.so
  PATHS
    ${CMAKE_INSTALL_PREFIX}/lib
    ${WORKSPACE_PATH}/lib
)

FIND_PACKAGE_HANDLE_STANDARD_ARGS (LIBSAES_COMMON REQUIRED_VARS LIBSAES_COMMON_LIBRARY LIBSAES_COMMON_INCLUDE_DIRS)

MARK_AS_ADVANCED (LIBSAES_COMMON_LIBRARY v)
