#
# File: FindLibsmartmaticlog.cmake
#
# Date: Fri Feb 03 17:23:00 EST 2017
# Author: gustavo.garcia
#
# Copyright 2014 Smartmatic Corp. All Rights Reserved.
#
# Confidential Information of Smartmatic Labs. Not for disclosure or distribution
# prior written consent. This software contains code, techniques and know-how which
# is confidential and proprietary to Smartmatic.
#
# Use of this software is subject to the terms of an end user license agreement.
#
# Try to find libuuid library
# Once done this will define
#
# LIBSMTTLOG_FOUND        - True if libsmartmaticlog got found
# LIBSMTTLOG_INCLUDE_DIRS - Location of libsmartmaticlog headers
# LIBSMTTLOG_LIBRARIES    - List of libraries to use libsmartmaticlog
#

INCLUDE (FindPackageHandleStandardArgs)

FIND_PATH (
  LIBSMTTLOG_INCLUDE_DIRS
  NAMES Log/ISMTTLog.h
  PATHS
    ${CMAKE_INSTALL_PREFIX}/include/smartmaticlog
    ${WORKSPACE_PATH}/include/smartmaticlog
)

FIND_LIBRARY (
  LIBSMTTLOG_LIBRARY
  NAMES libsmartmaticlog.so
  PATHS
    ${CMAKE_INSTALL_PREFIX}/lib
    ${WORKSPACE_PATH}/lib
)

FIND_PACKAGE_HANDLE_STANDARD_ARGS (LIBSMTTLOG REQUIRED_VARS LIBSMTTLOG_LIBRARY LIBSMTTLOG_INCLUDE_DIRS)

MARK_AS_ADVANCED (LIBSMTTLOG_LIBRARY LIBSMTTLOG_INCLUDE_DIRS)
