#
# File: FindMockpp.cmake
#
# Date: Fri Jan 03 12:00:00 EST 2017
# Author: gustavo.garcia
#
# Copyright 2014 Smartmatic Corp. All Rights Reserved.
#
# Confidential Information of Smartmatic Labs. Not for disclosure or distribution
# prior written consent. This software contains code, techniques and know-how which
# is confidential and proprietary to Smartmatic.
#
# Use of this software is subject to the terms of an end user license agreement.
#
# Try to find libmockpp library
# Once done this will define
#
# LIBMOCKPP_FOUND        - True if libmockpp got found
# LIBMOCKPP_INCLUDE_DIRS - Location of libmockpp headers
# LIBMOCKPP_LIBRARIES    - List of libraries to use libmockpp
#

INCLUDE (FindPackageHandleStandardArgs)

FIND_PATH (
  LIBMOCKPP_INCLUDE_DIRS
  NAMES mockpp.h
  PATHS
    /usr/include/mockpp
    /usr/local/include/mockpp
    /opt/local/include/mockpp
    /sw/include/mockpp
)

FIND_LIBRARY (
  LIBMOCKPP_LIBRARY
  NAMES mockpp
  PATHS
    /lib
    /usr/lib
    /usr/local/lib
    /opt/local/lib
    /sw/lib
)

FIND_PACKAGE_HANDLE_STANDARD_ARGS (LibUUID REQUIRED_VARS LIBMOCKPP_LIBRARY LIBMOCKPP_INCLUDE_DIRS)

MARK_AS_ADVANCED (LIBUUID_LIBRARIES LIBUUID_INCLUDE_DIRS)
