#
# File: FindNuanceVE.cmake
#
# Date: Fri Oct 06 15:00:00 EST 2017
# Author: manuel.arguelles
#
# Copyright 2017 Smartmatic Corp. All Rights Reserved.
#
# Confidential Information of Smartmatic Labs. Not for disclosure or distribution
# prior written consent. This software contains code, techniques and know-how which
# is confidential and proprietary to Smartmatic.
#
# Use of this software is subject to the terms of an end user license agreement.
#
# Try to find nuance vocalize embedded library
# Once done this will define
#
# NUANCEVE_FOUND        - True if vocalizer embedded got found
# NUANCEVE_INCLUDE_DIRS - Location of vocalizer embedded headers
# NUANCEVE_LIBRARIES    - List of libraries to use vocalizer embedded
#

INCLUDE (FindPackageHandleStandardArgs)

FIND_PATH (
  NUANCEVE_INCLUDE_DIRS
  NAMES ve/ve_platform.h
  HINTS
  $ENV{NUANCE_VE_PREFIX}/usr/include
  /usr/include
  /usr/local/include
  /opt/local/include
  /sw/include/
  CMAKE_FIND_ROOT_PATH_BOTH
  )

FIND_LIBRARY (
  LIBVE_LIBRARIES
  NAMES ve
  HINTS
  $ENV{NUANCE_VE_PREFIX}/usr/lib/ve
  /lib/ve
  /usr/lib/ve
  /usr/local/lib/ve
  /opt/local/lib/ve
  /sw/lib/ve
  CMAKE_FIND_ROOT_PATH_BOTH
  )

FIND_LIBRARY (
  LIBVECURL_LIBRARIES
  NAMES curl
  HINTS
  $ENV{NUANCE_VE_PREFIX}/usr/lib/ve
  /lib/ve
  /usr/lib/ve
  /usr/local/lib/ve
  /opt/local/lib/ve
  /sw/lib/ve
  NO_DEFAULT_PATH
  CMAKE_FIND_ROOT_PATH_BOTH
  )

FIND_PACKAGE_HANDLE_STANDARD_ARGS (
  NuanceVE
  REQUIRED_VARS
  NUANCEVE_INCLUDE_DIRS
  LIBVECURL_LIBRARIES
  LIBVE_LIBRARIES
  )

SET (NUANCEVE_LIBRARIES ${LIBVECURL_LIBRARIES} ${LIBVE_LIBRARIES})

MARK_AS_ADVANCED (NUANCEVE_INCLUDE_DIRS NUANCEVE_LIBRARIES)
