#
# File: FindMmlsecurityC.cmake
#
# Date: Fri Jan 03 12:00:00 EST 2017
# Author: gustavo.garcia
#
# Copyright 2012 Smartmatic Corp. All Rights Reserved.
#
# Confidential Information of Smartmatic Labs. Not for disclosure or distribution
# prior written consent. This software contains code, techniques and know-how which
# is confidential and proprietary to Smartmatic.
#
# Use of this software is subject to the terms of an end user license agreement.
#
# Try to find xml-security-c library
# It sets the following variables:
#
#  LIBXML_SEC_LIBRARY            - The xml-security-c library to link against.
#


INCLUDE (FindPackageHandleStandardArgs)

FIND_LIBRARY (
  LIBXML_SEC_LIBRARY
  NAMES xml-security-c
  PATHS
    /lib
    /usr/lib
    /usr/local/lib
    /opt/local/lib
    /sw/lib
)

FIND_PACKAGE_HANDLE_STANDARD_ARGS (XmlSecurityC REQUIRED_VARS LIBXML_SEC_LIBRARY)

MARK_AS_ADVANCED (LIBXML_SEC_LIBRARY)
