#
# File: Findgobject.cmake
#
# Date: Fri Jan 03 12:00:00 EST 2017
# Author: gustavo.garcia
#
# Copyright 2012 Smartmatic Corp. All Rights Reserved.
#
# Confidential Information of Smartmatic Labs. Not for disclosure or distribution
# prior written consent. This software contains code, techniques and know-how which
# is confidential and proprietary to Smartmatic.
#
# Use of this software is subject to the terms of an end user license agreement.
#
# Try to find CppUnit library
# It sets the following variables:
#
#  gobject_INCLUDE_DIR            - Gobject include directory.
#  gobject_config_INCLUDE_DIR     - Gobject library to link against.
#

INCLUDE (FindPackageHandleStandardArgs)
FIND_PACKAGE(PkgConfig)
PKG_CHECK_MODULES(PC_GOBJECT gobject-2.0)

FIND_PATH(
  gobject_INCLUDE_DIR
  NAMES gobject/gobject.h
  HINTS ${PC_GOBJECT_INCLUDEDIR} ${PC_GOBJECT_INCLUDE_DIRS}
)
FIND_PATH(
  gobject_config_INCLUDE_DIR
  NAMES gobjectconfig.h
  HINTS ${PC_GOBJECT_INCLUDEDIR} ${PC_GOBJECT_INCLUDE_DIRS}
)

FIND_LIBRARY(
  gobject_LIBRARY
  NAMES gobject gobject-2.0 gthread-2.0
  HINTS ${PC_GOBJECT_LIBDIR} ${PC_GOBJECT_LIBRARY_DIRS}
)

FIND_LIBRARY (
  LIBGTHREAD_LIBRARY
  NAMES gthread-2.0
  PATHS
    /lib
    /usr/lib
    /usr/local/lib
)

SET(gobject_LIBRARIES ${gobject_LIBRARY} ${PC_GOBJECT_PKGCONF_LIBRARIES} ${LIBGTHREAD_LIBRARY})
SET(gobject_INCLUDE_DIRS ${gobject_INCLUDE_DIR} ${gobject_config_INCLUDE_DIR} ${PC_GOBJECT_PKGCONF_INCLUDE_DIRS})

INCLUDE(FindPackageHandleStandardArgs)
FIND_PACKAGE_HANDLE_STANDARD_ARGS(gobject DEFAULT_MSG gobject_LIBRARY gobject_INCLUDE_DIR)

MARK_AS_ADVANCED(gobject_INCLUDE_DIR gobject_config_INCLUDE_DIR gobject_LIBRARY)
