#
# File: Packaging.cmake
#
# Author: manuel.arguelles
# Date: Tue Mar 28 13:05:00 EST 2017
#
# Copyright 2016 Smartmatic Corp. All Rights Reserved.
#
# Confidential Information of Smartmatic Labs. Not for disclosure or distribution
# prior written consent. This software contains code, techniques and know-how which
# is confidential and proprietary to Smartmatic.
#
# Use of this software is subject to the terms of an end user license agreement.
#

SET (CPACK_SOURCE_IGNORE_FILES         ".git,.swp")
SET (CPACK_OUTPUT_FILE_PREFIX          ${CMAKE_BINARY_DIR})
SET (CPACK_INCLUDE_TOPLEVEL_DIRECTORY  0)

SET (CPACK_PACKAGE_VENDOR              "Smartmatic Corp.")
SET (CPACK_PACKAGE_NAME                "${PROJECT_NAME}")

IF (DEFINED ARCHITECTURE_ALTERNATIVE_NAME)
  SET (CPACK_DEBIAN_PACKAGE_ARCHITECTURE "${ARCHITECTURE_ALTERNATIVE_NAME}")
ELSE ()
  SET (CPACK_DEBIAN_PACKAGE_ARCHITECTURE "amd64")
ENDIF ()

# Debian generator.
SET (CPACK_SOURCE_GENERATOR          DEB)
SET (CPACK_DEB_COMPONENT_INSTALL     ON)
SET (CPACK_DEBIAN_COMPRESSION_TYPE   "bzip2")
SET (CPACK_DEBIAN_PACKAGE_MAINTAINER "Manuel Argüelles <manuel.arguelles@smartmatic.com>")
SET (CPACK_PACKAGE_FILE_NAME         "${PROJECT_NAME}_${CPACK_PACKAGE_VERSION}_${CPACK_DEBIAN_PACKAGE_ARCHITECTURE}")

IF (CMAKE_VERSION VERSION_GREATER 3.2.0)
  SET (CPACK_DEBIAN_ENABLE_COMPONENT_DEPENDS       ON)
  SET (CPACK_DEBIAN_PACKAGE_GENERATE_SHLIBS        OFF)
  SET (CPACK_DEBIAN_PACKAGE_SHLIBDEPS              OFF)
  SET (CPACK_DEBIAN_PACKAGE_GENERATE_SHLIBS_POLICY ">=")
  SET (CPACK_DEBIAN_FILE_NAME                      DEB-DEFAULT)
ENDIF ()

# Components
SET(CPACK_DEBIAN_LIB_PACKAGE_SECTION       "libs")

SET (CPACK_DEBIAN_DEV_PACKAGE_SECTION      "devel")
SET (CPACK_DEBIAN_DEV_PACKAGE_DEPENDS      "${CPACK_PACKAGE_NAME}-lib")

SET (CPACK_DEBIAN_DBG_PACKAGE_SECTION      "debug")
SET (CPACK_DEBIAN_DEV_PACKAGE_DEPENDS      "${CPACK_PACKAGE_NAME}-lib")

INCLUDE (CPack)
