#!/bin/bash
#
# File: clean.sh
#
# Deletes built and auto generated files.
#
# Date: Wed Apr 20, 17:33:00 EST 2017.
# Author: manuel.arguelles
#
# Revision: 1
#
# Copyright 2017 Smartmatic Corp. All Rights Reserved.
#
# Confidential Information of Smartmatic Labs. Not for disclosure or distribution
# prior written consent. This software contains code, techniques and know-how which
# is confidential and proprietary to Smartmatic.
#
# Use of this software is subject to the terms of an end user license agreement.
#

if [ -d build ]; then
  echo "Removing build directory..."
  rm -rf build &> /dev/null
fi

# deletes auto-generated source files
echo "Removing auto-generated source files..."
rm -rf configuration-list
find ./ -type f -name "config.h" -exec rm -f {} \; &> /dev/null
find ./ -type f -wholename '*/GeneratedClasses/*/*.?xx' -exec rm -f {} \; &> /dev/null

echo "Done"
